﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table style="margin-left:20px;">
    <tr>        
     <td nowrap="nowrap">ICS User Name</td>
      <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txticsusername";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                   
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.ValueChanged = "ValTypeIcs";   
                }
            ).GetHtml()
        </td>
    
       <td nowrap="nowrap" style="padding-left:24px;">LDAP User Name</td>
       
           <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtldapusername";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
    
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ClientSideEvents.TextChanged = "ValTypeLdap";   
                }
            ).GetHtml()
        </td>
       
        </td>
   
        
    </tr>

    <tr align="right">
    <td></td>
    <td></td>
        <td colspan="2" align="right">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.EnableClientSideAPI = true;
                           // btnSettings.Enabled = false;
                            btnSettings.ClientSideEvents.Click = "AddNewUser";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>